services:
    slickthemes.slickpanel.controller:
        class: slickthemes\slickpanel\controller\slickpanel
        arguments:
            - @auth
            - @config
            - @config_text
            - @template
            - @user
            - @controller.helper
            - %core.root_path%
            - %core.php_ext%
            - @slickthemes.slickpanel.controller.userconfig
    slickthemes.slickpanel.controller.userconfig:
        class: slickthemes\slickpanel\controller\userconfig
        arguments:
            - @auth
            - @config
            - @config_text
            - @request
            - @user
            - @controller.helper
    slickthemes.slickpanel.listener:
        class: slickthemes\slickpanel\event\slickpanel_listener
        arguments:
            - @config
            - @config_text
            - @template
            - @user
            - @controller.helper
            - @request
        tags:
            - { name: event.listener }
